[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarArchive.FindNext

Find next archive entry

## Declaration

Source position: libtar.pp line 163

`public function TTarArchive.FindNext(`
`var DirRec: TTarDirRec`
`):Boolean;`

## Arguments

`DirRec` |  | Information about the archive

## Function result

True if the next entry was found.

## Description

FindNext positions the file pointer on the next archive entry, and returns all information about the entry in DirRec. It returns True if the operation was succeful, or False if not (for instance, when the end of the archive was reached).

## Errors

In case there are no more entries, False is returned.

## See also

TTarArchive.ReadFile |  | Read a file from the archive

The latest version of this document can be found at lazarus-ccr.sourceforge.net .